cmake_minimum_required(VERSION 3.6 FATAL_ERROR)

include(MyxCMakeCompatIncludeGuard)
include(MyxCMakeLSBInfo)
include(MyxCMakeCompat)

# Additional functions
include(MyxCMakeHighPrecisionMath)
include(MyxCMakeQtTranslation)
include(MyxCMakeRemoveFlag)
include(MyxCMakeWriteCompilerDetectionHeader)

include(MyxCMakeIncludeSystemModules)
include(MyxCMakeCurrentDate)
include(MyxCMakeColoredMessages)
include(MyxCMakeDirectoriesGuards)
include(MyxCMakeGlobalFunctions)
include(MyxCMakeProjectVersion)
include(MyxCMakeRequiredVariables)
include(MyxCMakeGlobalVariables)
include(MyxCMakeLargeFiles)
include(MyxCMakeGeneratePrivateConfigHeader)
include(MyxCMakeGenerateGitInfoHeader)
include(MyxCMakeCompiler)
include(MyxCMakeCompilerFlags)
include(MyxCMakeDistCC)
include(MyxCMakeUnityBuild)
include(MyxCMakePrecompiledHeaders)
include(MyxCMakeBuildTypes)
include(MyxCMakeDebugOutputOptions)

include(MyxCMakeCodeAnalyzeApplyReplacements)
include(MyxCMakeCodeAnalyzeClangCheck)
include(MyxCMakeCodeAnalyzeClangTidy)
include(MyxCMakeCodeAnalyzeClazy)
include(MyxCMakeCodeAnalyzePvsStudio)

include(MyxCMakeCodeCoverage)
include(MyxCMakeFormatSources)
include(MyxCMakeCommonPaths)
include(MyxCMakeCommonTargetProperties)
include(MyxCMakeAddSharedLibrary)
include(MyxCMakeAddStaticLibrary)
include(MyxCMakePkgConfig)
include(MyxCMakeNinjaGeneratorHelper)
include(MyxCMakeDocDoxygen)
include(MyxCMakeDocBreathe)
include(MyxCMakeExternalProject)
include(MyxCMakeCPack)
include(MyxCMakeUninstall)
