# Обязательные переменные, значения которым необходимо присвоить
# в файле CMakeLists.txt до подключения MyxCMake, либо передать через ключ -D

include_guard(GLOBAL)

# cmake-format: off
if(NOT MYX_CMAKE_ORGANIZATION_NAME)
  myx_cmake_message_warning("MyxCMake: Variable MYX_CMAKE_ORGANIZATION_NAME is undefined")
  set(MYX_CMAKE_ORGANIZATION_NAME "ORG NAME" CACHE STRING "")
endif()

if(NOT MYX_CMAKE_AUTHOR_NAME)
  myx_cmake_message_warning("MyxCMake: Variable MYX_CMAKE_AUTHOR_NAME is undefined")
  set(MYX_CMAKE_AUTHOR_NAME "AUTHOR NAME" CACHE STRING "")
endif()

if(NOT MYX_CMAKE_AUTHOR_EMAIL)
  myx_cmake_message_warning("MyxCMake: Variable MYX_CMAKE_AUTHOR_EMAIL is undefined")
  set(MYX_CMAKE_AUTHOR_EMAIL "AUTHOR@EMAIL" CACHE STRING "")
endif()

if(NOT MYX_CMAKE_DESCRIPTION)
  myx_cmake_message_warning("MyxCMake: Variable MYX_CMAKE_DESCRIPTION is undefined")
  set(MYX_CMAKE_DESCRIPTION "PROJECT DESCRIPTION" CACHE STRING "")
endif()

set(CPACK_PACKAGE_DESCRIPTION_SUMMARY ${MYX_CMAKE_DESCRIPTION} CACHE STRING "")
set(CPACK_PACKAGE_CONTACT "${MYX_CMAKE_AUTHOR_NAME} <${MYX_CMAKE_AUTHOR_EMAIL}>" CACHE STRING "")
# cmake-format: on
